Bug 174012 - Broken pipe in clamd after yum update prevents clamd from running
Broken pipe in clamd after yum update prevents clamd from running
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-23 12:07 EST by Gary Bastin
Modified: 2008-02-12 21:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 21:54:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Bastin 2005-11-23 12:07:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
The line "TCPAddr 127.0.0.1" in /etc/clamd.conf was erroneously commented out by the update, and had to be uncommented.  There was also still a problem trying to start a clamd process after fixing this minor bug, though.  You also have to delete a file called "*.cvd" that is created as an empty file in "/var/lib/clamav", as it causes a broken pipe problem with running clamd.  The daily.cvd and main.cvd files also located there were fine.  Not sure how the "*.cvd" file was created, but it was a result of installing the most recent clamav update, as everything was fine before doing the yum update.  Had exactly the same problem on two different FC1 systems after doing the yum update, and the fix was exactly the same for both, so problem is reproducible.  To fix, simply cd to this directory, execute an rm *.cvd command, and delete only the *.cvd file and choose not to delete the daily.cvd and main.cvd files when prompted.


Version-Release number of selected component (if applicable):
clamav-0.87.1-1

How reproducible:
Always

Steps to Reproduce:
1.Update an FC1 system to clamav-0.87.1-1 from prior release
2.su and attempt to start a background clamd process with "clamd &"
3.Error messages show a broken pipe.  The freshclam process shows that clamav cannot communicate with clamd.
  

Actual Results:  No background clamd processes can be started.

Expected Results:  A clamd background process should have been possible.

Additional info:
Comment 1 Paul Wouters 2006-01-24 22:58:58 EST
for me, updating to 0.88-1 caused a few rpmsave files to be deleted, however
there were no new files created for those:

   1:clamav-data            warning: /var/lib/clamav/daily.cvd saved as
/var/lib/clamav/daily.cvd.rpmsave

warning: /var/lib/clamav/main.cvd saved as /var/lib/clamav/main.cvd.rpmsave

warning: /etc/clamd.conf saved as /etc/clamd.conf.rpmsave

removing all clamav-* rpms, and installing them all did not result in getting a
/etc/clamd.conf file. I had to copy and edit one from /usr/share/clamav/

The init file in the /usr/share/clamav directory is also broken (and probably
was used to generate the broken wrapper link in /etc/init.d/ to begin with)


 
Comment 2 Christian Iseli 2007-01-17 18:20:08 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)
Comment 3 petrosyan 2008-02-12 21:54:35 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.